package java.awt;

import java.awt.geom.PathIterator;
import java.awt.geom.AffineTransform;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

public interface Shape
{
    public abstract Rectangle getBounds();
    
    public abstract Rectangle2D getBounds2D();
    
    public abstract boolean contains(double p0, double p1);
    
    public abstract boolean contains(Point2D p0);
    
    public abstract boolean intersects(double p0, double p1, double p2, double p3);
    
    public abstract boolean intersects(Rectangle2D p0);
    
    public abstract boolean contains(double p0, double p1, double p2, double p3);
    
    public abstract boolean contains(Rectangle2D p0);
    
    public abstract PathIterator getPathIterator(AffineTransform p0);
    
    public abstract PathIterator getPathIterator(AffineTransform p0, double p1);
}
